package com.yonge.cooleshow.biz.dal.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/5/30
 */
@ApiModel
public class CourseScheduleRecordVo implements Serializable {
    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程组名称")
    private String groupName;

    @ApiModelProperty(value = "声部id")
    private Long subjectId;

    @ApiModelProperty(value = "声部名称")
    private String subjectName;

    @ApiModelProperty(value = "课程状态 NOT_START未开始 ING进行中 COMPLETE已完成 CANCEL已取消")
    private String status;

    @ApiModelProperty(value = "开课时间")
    private Date startTime;

    @ApiModelProperty(value = "结课时间")
    private Date endTime;

    @ApiModelProperty(value = "上课学员人数")
    private Integer studentCount;

    @ApiModelProperty(value = "总消耗时长")
    private Integer consumTime;

    @ApiModelProperty(value = "单课时长")
    private Integer singleCourseTime;

    @ApiModelProperty(value = "通讯组id")
    private String imGroupId;

    public String getImGroupId() {
        return imGroupId;
    }

    public void setImGroupId(String imGroupId) {
        this.imGroupId = imGroupId;
    }

    public Integer getSingleCourseTime() {
        return singleCourseTime;
    }

    public void setSingleCourseTime(Integer singleCourseTime) {
        this.singleCourseTime = singleCourseTime;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getConsumTime() {
        return consumTime;
    }

    public void setConsumTime(Integer consumTime) {
        this.consumTime = consumTime;
    }
}

